Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.util
Interface IRPEventPropertyDescriptor

All Superinterfaces:
  EventPropertyDescriptor, java.io.Serializable

All Known Subinterfaces:
  OperationalStatusDataAvailableEventDescriptor, OperationalStatusDataEventDescriptor, PerformanceDataAvailableEventDescriptor, PerformanceDataEventDescriptor

All Known Implementing Classes:
  IRPEventPropertyDescriptorImpl, OperationalStatusDataAvailableEventDescriptorImpl, OperationalStatusDataEventDescriptorImpl, PerformanceDataAvailableEventDescriptorImpl, PerformanceDataEventDescriptorImpl

public interface IRPEventPropertyDescriptor
extends EventPropertyDescriptor

This interface represents the filterable properties of the 3GPP Notification IRP interface that are not present in the `EventPropertyDescriptor` interface.

The interface also contains the definition of methods that can be used at run-time to dynamically discover the properties of the event and their types.

For each IRPEvent shall set the properties according to the following:

- OSS_EVENT_TYPE is set to the same value eventDescriptor.getEventType() returns
- OSS_APPLICATION_TYPE_DN is set to the same value event.getApplicationTypeDN() returns
- OSS_EVENT_TIME is set to the same value, in string format, event.getEventTime() returns
- OSS_MANAGED_ENTITY_TYPE is set to the same value event.getManagedObjectClass() returns
- OSS_MANAGED_ENTITY_PRIMARY_KEY is set to the same value event.getManagedObjectInstance() returns

The OSS_EVENT_TYPE defines the type of event which is reported by the event.

The OSS_APPLICATION_TYPE_DN carries the Distinguished Name (DN) of system that detects the event and generates the event. This DN can be used to get the Home interface, from JNDI, of the system that detected the event. This is the same as the SystemDN that 3GPP has defined.

The OSS_EVENT_TIME indicates the event occurrence time and shall be in the following format: "yyyyMMddHHmmss.SZ" For example, to indicate 1:20 pm on May the 31st, 1999 for Eastern Standard Time which is 5 hours behind Coordinated Universal Time (UTC), one would write: "19990531182000.0Z".

The OSS_MANAGED_ENTITY_PRIMARY_KEY specifies the instance of the below MOC in which the event occurred by carrying the Distinguish Name (DN) of the instance. If the instance is a managed entity the attribute "managedObjectInstance" in the event shall be set to a string format of the key.

The OSS_MANAGED_ENTITY_TYPE specifies the class name of a MOI. A event has occurred in an instance of this class. If the instance is a managed entity the attribute "managedObjectClass" in the event shall be set to a type of the managed entity.

Version:
  0.9.1, 2001-11-30
Author:
  Audrey Ward
See Also:
  `EventPropertyDescriptor`

Field Summary
`static java.lang.String` | `OSS_EVENT_TIME_PROP_NAME` The filterable property representing the event time.
`static java.lang.String` | `OSS_EVENT_TIME_PROP_TYPE` The filterable property type for the event time.
`static java.lang.String` | `OSS_MANAGED_ENTITY_PK_PROP_NAME` Define the property type for managed object instance or theprimary key (distinguished name) of the managed entity.
`static java.lang.String` | `OSS_MANAGED_ENTITY_PK_PROP_TYPE` The filterable property type for managed entity primary key (distinguished name).
`static java.lang.String` | `OSS_MANAGED_ENTITY_TYPE_PROP_NAME` Define the property name for managed object class or the managed entity type (class).
`static java.lang.String` | `OSS_MANAGED_ENTITY_TYPE_PROP_TYPE` The filterable property type for managed entity type (class).

Fields inherited from interface com.sun.management.oss.EventPropertyDescriptor
`BOOLEAN, BYTE, DOUBLE, FLOAT, INT, LONG, OSS_APPLICATION_DN_PROP_NAME, OSS_APPLICATION_DN_PROP_TYPE, OSS_EVENT_TYPE_PROP_NAME, OSS_EVENT_TYPE_PROP_TYPE, SHORT, STRING`

Method Summary
`IRPEvent` | `makeIRPEvent()` Returns an IRPEvent.

Methods inherited from interface com.sun.management.oss.EventPropertyDescriptor
`getEventType, getPropertyNames, getPropertyTypes, makeEvent`

Field Detail

### OSS_EVENT_TIME_PROP_NAME

    public static final java.lang.String OSS_EVENT_TIME_PROP_NAME

  The filterable property representing the event time.

  The method `getPropertyNames()` returns this constant.

  See Also:
    Constant Field Values

### OSS_EVENT_TIME_PROP_TYPE

    public static final java.lang.String OSS_EVENT_TIME_PROP_TYPE

  The filterable property type for the event time.

  The method `getPropertyTypes()` returns this constant.

  See Also:
    Constant Field Values

### OSS_MANAGED_ENTITY_TYPE_PROP_NAME

    public static final java.lang.String OSS_MANAGED_ENTITY_TYPE_PROP_NAME

  Define the property name for managed object class or the managed entity type (class).

  The method `getPropertyNames()` returns this constant.

  See Also:
    Constant Field Values

### OSS_MANAGED_ENTITY_TYPE_PROP_TYPE

    public static final java.lang.String OSS_MANAGED_ENTITY_TYPE_PROP_TYPE

  The filterable property type for managed entity type (class).

  The method `getPropertyTypes()` returns this constant.

  See Also:
    Constant Field Values

### OSS_MANAGED_ENTITY_PK_PROP_NAME

    public static final java.lang.String OSS_MANAGED_ENTITY_PK_PROP_NAME

  Define the property type for managed object instance or theprimary key (distinguished name) of the managed entity.

  The method `getPropertyNames()` returns this constant.

  See Also:
    Constant Field Values

### OSS_MANAGED_ENTITY_PK_PROP_TYPE

    public static final java.lang.String OSS_MANAGED_ENTITY_PK_PROP_TYPE

  The filterable property type for managed entity primary key (distinguished name).

  The method `getPropertyTypes()` returns this constant.

  See Also:
    Constant Field Values

Method Detail

### makeIRPEvent

    public IRPEvent makeIRPEvent()

  Returns an IRPEvent.

  Returns:
    `IRPEvent` - an IRPEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD